%define name os_allcommerce
%define release 1mdk
%define version 1.2.1

Summary: OpenSales AllCommerce is a commerce, content, customer, and relationship management system.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
URL: http://www.zelerate.org
Source0: os_allcommerce.1.2.1.200101171000.tar.bz2
Source1: %{name}-setupscript.sh 
Source2: %{name}-apache.conf
Source3: %{name}-cron.hourly 
Requires: perl-DBI Msql-Mysql-modules MySQL perl
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
OpenSales AllCommerce is a commerce, content, customer,
and relationship management system.

AllCommerce is a very modular system for managing
a commerce or content site. It contains web-based
administrative interfaces for most functions, as well
as components for tracking customers within a site,
maintaining customer histories, carts, and the like.
For site objects that can have multiple states (such
as an item with inventory), there are rules of behavior
based upon it's state (e.g. - suppose an item is out
of stock: is it still purchasable on the site? The
answer depends upon the business model and supply
chain. Perhaps it should drop off the site, perhaps
it should remain for sale, or perhaps you offer people
the opportunity to be notified when it next becomes
available).

For more information go to 
http://www.opensales.org

--- TO COMPLETE INSTALLATION READ /home/httpd/os_allcommerce/html/eng/DOCS/Installation.txt ---

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/www/os_allcommerce
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules 
OS_ROOT=/var/www/os_allcommerce

%setup -n os_allcommerce

%build

%install
cp -a $RPM_BUILD_DIR/%{name} $RPM_BUILD_ROOT/var/www
cp $RPM_SOURCE_DIR/%{name}-setupscript.sh $RPM_BUILD_ROOT/var/www/%{name}/conf/setupscript.sh
#cp $RPM_SOURCE_DIR/%{name}-cron.hourly $RPM_BUILD_ROOT/etc/cron.hourly/%{name}
cp $RPM_SOURCE_DIR/%{name}-apache.conf $RPM_BUILD_ROOT/var/www/%{name}/conf
cp $RPM_SOURCE_DIR/%{name}-apache.conf $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
chown -R nobody.nobody /home/httpd/os_allcommerce
/var/www/%{name}/conf/setupscript.sh
apachectl restart
echo "--- TO COMPLETE INSTALLATION READ /var/www/os_allcommerce/html/eng/DOCS/Installation.txt ---"

%postun
apachectl restart

%files
%defattr(-,root,root)
%dir /var/www/%{name}
/var/www/%{name}/*
#/etc/cron.hourly/%{name}
#/var/www/%{name}/conf/setupscript.sh
/etc/httpd/conf/addon-modules/%{name}.conf


%changelog
* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- updated to 1.2.1

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk 
- udpated to 1.0.4
- change url

* Mon Oct 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- change release

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-0.2mdk
- fix requires
- restart apache
- chown directory
- add creation of the database
- remove the cron
- people need to launch the configure script

* Wed Sep 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-0.1mdk
- first attempt
